<template>
  <span class="sw-gs-icon sf-icon">
    <svg class="sf-icon-path"
         viewBox="0 0 24 24"
         preserveAspectRatio="none">
      <path fill="var(--icon-color)" fill-rule="evenodd" clip-rule="evenodd" d="M21 10.8293V23C21 23.5523 20.5523 24 20 24C19.4477 24 19 23.5523 19 23V10.8293C17.8348 10.4175 17 9.30622 17 8C17 6.68867 17.8414 5.57385 19.0137 5.1659C19.0047 5.11194 19 5.05652 19 5V1C19 0.447715 19.4477 0 20 0C20.5523 0 21 0.447715 21 1V5C21 5.05652 20.9953 5.11194 20.9863 5.1659C22.1586 5.57385 23 6.68867 23 8C23 9.30622 22.1652 10.4175 21 10.8293ZM13 14.1707C14.1652 14.5825 15 15.6938 15 17C15 18.3062 14.1652 19.4175 13 19.8293V23C13 23.5523 12.5523 24 12 24C11.4477 24 11 23.5523 11 23V19.8293C9.83481 19.4175 9 18.3062 9 17C9 15.6938 9.83481 14.5825 11 14.1707V1C11 0.447715 11.4477 0 12 0C12.5523 0 13 0.447715 13 1V14.1707ZM5 10.8293V23C5 23.5523 4.55228 24 4 24C3.44772 24 3 23.5523 3 23V10.8293C1.83481 10.4175 1 9.30622 1 8C1 6.69378 1.83481 5.58254 3 5.17071V1C3 0.447715 3.44772 0 4 0C4.55228 0 5 0.447715 5 1V5.17071C6.16519 5.58254 7 6.69378 7 8C7 9.30622 6.16519 10.4175 5 10.8293Z"/>
    </svg>
  </span>
</template>

<script lang="ts">
  export default {
    name: 'SwGsIconSettings'
  }
</script>
